
-- Table: AppConfig
CREATE TABLE AppConfig ( 
    id                          INTEGER PRIMARY KEY AUTOINCREMENT,
    created_at                  DATE,
    marked_for_deletion         BOOLEAN,
    updated_at                  DATE,
    result_display_mode         INTEGER,
    usage_since_upgrade_warning INTEGER 
);


-- Table: schools
CREATE TABLE schools ( 
    id                  INTEGER PRIMARY KEY AUTOINCREMENT,
    updated_at          DATE,
    name                TEXT,
    created_at          DATE,
    marked_for_deletion BOOLEAN,
    address             TEXT,
    phone               TEXT 
);


-- Table: users
CREATE TABLE users ( 
    id                  INTEGER PRIMARY KEY AUTOINCREMENT,
    updated_at          DATE,
    cell_phone          TEXT,
    name                TEXT,
    created_at          DATE,
    marked_for_deletion BOOLEAN,
    email               TEXT,
    password            TEXT 
);


-- Table: students
CREATE TABLE students ( 
    id                  INTEGER PRIMARY KEY AUTOINCREMENT,
    updated_at          DATE,
    parent_name         TEXT,
    user_vo_id          INTEGER,
    email               TEXT,
    marked_for_deletion BOOLEAN,
    is_male             BOOLEAN,
    cname               TEXT,
    phone               TEXT,
    created_at          DATE,
    grade               INTEGER,
    birth_year          INTEGER 
);


-- Table: test_results
CREATE TABLE test_results ( 
    id                    INTEGER PRIMARY KEY AUTOINCREMENT,
    result_desc           TEXT,
    created_at            DATE,
    student_c_name        TEXT,
    marked_for_deletion   BOOLEAN,
    updated_at            DATE,
    student_vo_id         INTEGER,
    start_level           INTEGER,
    emailed               BOOLEAN,
    user_vo_id            INTEGER,
    result_display_mode   INTEGER,
    uploaded              BOOLEAN,
    result_level_name     TEXT,
    level_result          INTEGER,
    result_level_code     TEXT,
    user_id_fk            INTEGER,
    report_transfer_times INTEGER 
);


-- Index: 
CREATE INDEX app_config_id_idx_id_idx ON AppConfig ( 
    id ASC 
);


-- Index: 
CREATE INDEX school_id_idx_id_idx ON schools ( 
    id ASC 
);


-- Index: 
CREATE INDEX user_id_idx_id_idx ON users ( 
    id ASC 
);


-- Index: 
CREATE INDEX student_id_idx_id_idx ON students ( 
    id ASC 
);


-- Index: 
CREATE INDEX student_user_idx_user_vo_id_idx ON students ( 
    user_vo_id ASC 
);


-- Index: 
CREATE INDEX test_result_id_idx_id_idx ON test_results ( 
    id ASC 
);


-- Index: 
CREATE INDEX test_result_student_idx_student_vo_id_idx ON test_results ( 
    student_vo_id ASC 
);


-- Index: 
CREATE INDEX test_result_user_idx_user_vo_id_idx ON test_results ( 
    user_vo_id ASC 
);

